%{?scl:%scl_package nodejs-%{npm_name}}
%{!?scl:%global pkg_name %{name}}

%global npm_name logform

Name: %{?scl_prefix}nodejs-logform
Version: 2.2.0
Release: 1%{?dist}
Summary: An mutable object-based log format designed for chaining & objectMode streams
License: MIT
Group: Development/Libraries
URL: https://github.com/winstonjs/logform#readme
Source0: https://registry.npmjs.org/logform/-/logform-%{version}.tgz
%if 0%{?!scl:1}
BuildRequires: nodejs-packaging
%endif
Requires: npm(colors) >= 1.2.1
Requires: npm(colors) < 2.0.0
Requires: npm(fast-safe-stringify) >= 2.0.4
Requires: npm(fast-safe-stringify) < 3.0.0
Requires: npm(fecha) >= 4.2.0
Requires: npm(fecha) < 5.0.0
Requires: npm(ms) >= 2.1.1
Requires: npm(ms) < 3.0.0
Requires: npm(triple-beam) >= 1.3.0
Requires: npm(triple-beam) < 2.0.0
BuildArch: noarch
ExclusiveArch: %{nodejs_arches} noarch
Provides: %{?scl_prefix}npm(%{npm_name}) = %{version}

%description
%{summary}

%prep
%setup -q -n package

%install
mkdir -p %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr align.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr browser.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr cli.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr colorize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr combine.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr dist %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr errors.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr examples %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr format.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.d.ts %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr index.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr json.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr label.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr levels.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr logstash.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr metadata.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr ms.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr package.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pad-levels.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr pretty-print.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr printf.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr simple.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr splat.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr timestamp.js %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr tsconfig.json %{buildroot}%{nodejs_sitelib}/%{npm_name}
cp -pfr uncolorize.js %{buildroot}%{nodejs_sitelib}/%{npm_name}

%nodejs_symlink_deps

%check
%{nodejs_symlink_deps} --check

%files
%{nodejs_sitelib}/%{npm_name}
%license LICENSE
%doc CHANGELOG.md
%doc README.md

%changelog
